camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Willem Jiang (JIRA)" <j...@apache.org>
Subject [jira] Commented: (CAMEL-2928) Upgrade to Spring 3.0.x as default Spring version
Date Fri, 09 Jul 2010 09:05:52 GMT

    [ https://issues.apache.org/activemq/browse/CAMEL-2928?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=60547#action_60547
] 

Willem Jiang commented on CAMEL-2928:
-------------------------------------

@Claus,
Well spot, I just updated the default spring version to 3.0.3.RELEASE.

Now you can use spring-2.x profile if you want to build the camel with spring 2.5.6.
 

> Upgrade to Spring 3.0.x as default Spring version
> -------------------------------------------------
>
>                 Key: CAMEL-2928
>                 URL: https://issues.apache.org/activemq/browse/CAMEL-2928
>             Project: Apache Camel
>          Issue Type: Task
>          Components: camel-spring, osgi
>            Reporter: Claus Ibsen
>            Assignee: Willem Jiang
>             Fix For: 2.4.0
>
>
> SMX 4.4 will ship and use Spring 3.0.x as the default version. See SMX4-551
> We should consider upgrading to Spring 3.0.x as the default version of Camel as well.
> But we should keep it backwards comp to Spring 2.5. 
> This requires though that we setup a test that uses Spring 2.5 as we have today with
Spring 2.0.
> In terms of the features file we may want to just keep the spring 3.x file and don't
supply any spring 2.5 files?
> Since Camel 2.4 is supposed to run in SMX 4.4 onwards.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message